4 Replies Latest reply on Sep 2, 2014 11:06 AM by Rakesh Balguri

    Building Teiid 8.7 code base

    Rakesh Balguri Expert

      Hi all,

       

      We have our build set up with Teiid 8.7 and today while building the code the build was failing with dependency errors for org.jboss.integration-platform and version 6.0.0-SNAPSHOT.

      On searching we found out that this version of jar and pom no longer exists in the maven repository and instead a new version 6.0.0.CR12 is available.

      Can you please let us know which version of org.jboss.integration-platform we should be using for building Teiid8.7 code?

       

      One more observation is related to the artifact jboss-as-naming which uses the version 7.4.0.Final-redhat-11.

      This version doesn't exists in the maven repository of EAP 6.1.0 Alpha http://maven.repository.redhat.com/techpreview/eap6/6.1.0.Alpha1/maven-repository/

      The version that exists in the EAP 6.1.0 Alpha is 7.2.0.Alpha1-redhat-4

      But the version exists in the version EAP 6.3.0.Beta http://maven.repository.redhat.com/techpreview/eap6/6.3.0.Beta/maven-repository/

       

      Can you please let us know which version of jboss-as-naming we should be using for building Teiid8.7 code?

       

      Thanks

      Rakesh.

        • 1. Re: Building Teiid 8.7 code base
          Ramesh Reddy Master

          If you are retrieving and building the the code from 8.7.x branch, then that will not work with EAP 6.1 Alpha. Take the code from git release tag 8.7-Final. If the maven repo does not contain the version of the software now I am not sure if that can be resolved, but it is not at all common someone removes the contents from maven repo. You can try to build with 6.0.0.CR12 but need to account for all the version mismatches that went into 8.7.Final build to be in sync.

           

          As per naming question, I am not sure what mean by that, what we used to build the 8.7 is in the pom.xml and settings.xml files. EAP 6.3.0.Beta does *not* have same license as EAP 6.1 Alpha

           

          Ramesh..

          • 2. Re: Building Teiid 8.7 code base
            Rakesh Balguri Expert

            Thanks Ramesh.

             

            I am building the code from git release 8.7-Final and the build succeeds if I use 6.0.0.CR12.

            Regarding the jboss-as-naming. The version mentioned in the pom.xml is 7.4.0.Final-redhat-11 but this version is not available in the maven repository for EAP 6.1.0 Alpha.

            The version that exists in the EAP 6.1.0 Alpha is 7.2.0.Alpha1-redhat-4. Can we use 7.2.0.Alpha1-redhat-4?

             

            Thanks

            Rakesh.

            • 3. Re: Re: Building Teiid 8.7 code base
              Ramesh Reddy Master

              Rakesh,

               

              Add the following repo to your settings.xml file

               

                  <profile>
                    <id>jboss-snapshots</id>
                    <repositories>
                      <repository>
                        <id>jboss-snapshots</id>
                        <name>JBoss Snapshots</name>
                        <url>https://repository.jboss.org/nexus/content/repositories/snapshots/</url>
                        <layout>default</layout>
                        <releases>
                          <enabled>true</enabled>
                          <updatePolicy>never</updatePolicy>
                        </releases>
                        <snapshots>
                          <enabled>false</enabled>
                        </snapshots>
                      </repository>
                    </repositories>
                  </profile>
              

               

              The 6.0.0-SNAPSHOT will be visible.

              • 4. Re: Building Teiid 8.7 code base
                Rakesh Balguri Expert

                Thanks.

                 

                Can you also help me in the version of jboss-as-naming?